%define module  Test-Cmd
%define version 1.05
%define release 2mdk

Summary: 	Perl module for portable testing of commands and scripts
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	perl-devel

%description 
The Test::Cmd module provides a low-level framework for portable automated
testing of executable commands and scripts (in any language, not just Perl),
especially commands and scripts that interact with the file system.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.05-2mdk
- fixed dir ownership (distlint)
- let spec-helper do its job

* Mon Feb 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.05-1mdk
- first mdk release
